  
  .roadmap {
    margin-top: 2rem;
  }
  .roadmap h1 {
    color: #fff;
  }
  .roadmap h2 {
    color: #fff;
  }
  .timeline {
    display: flex;
    flex-direction: column;
    margin: 20px auto;
    position: relative;
  }
  .timeline__event {
    margin-bottom: 20px;
    position: relative;
    display: flex;
    margin: 20px 0;
    border-radius: 6px;
    align-self: center;
    width: 60vw;
  }
  .timeline__event:nth-child(2n+1) {
    flex-direction: row-reverse;
  }
  .timeline__event:nth-child(2n+1) .timeline__event__date {
    border-radius: 0 6px 6px 0;
  }
  .timeline__event:nth-child(2n+1) .timeline__event__content {
    border-radius: 6px 0 0 6px;
  }
  .timeline__event:nth-child(2n+1) .timeline__event__icon:before {
    content: "";
    width: 2px;
    height: 100%;
    background: #50fa5e;
    position: absolute;
    top: 0%;
    left: 50%;
    right: auto;
    z-index: -1;
    transform: translateX(-50%);
    -webkit-animation: fillTop 1s forwards 2s ease-in-out;
            animation: fillTop 1s forwards 2s ease-in-out;
  }
  .timeline__event:nth-child(2n+1) .timeline__event__icon:after {
    content: "";
    width: 100%;
    height: 2px;
    background: #50fa5e;
    position: absolute;
    right: 0;
    z-index: -1;
    top: 50%;
    left: auto;
    transform: translateY(-50%);
    -webkit-animation: fillLeft 1s forwards 2s ease-in-out;
            animation: fillLeft 1s forwards 2s ease-in-out;
  }
  .timeline__event__title {
    font-size: 1.2rem;
    line-height: 1.4;
    text-transform: uppercase;
    font-weight: 800;
    color: #50fa5e;
    letter-spacing: 1.5px;
  }
  .timeline__event__content {
    padding: 20px;
    box-shadow: 0 30px 60px -12px rgba(50, 50, 93, 0.25), 0 18px 36px -18px rgba(0, 0, 0, 0.3), 0 -12px 36px -8px rgba(0, 0, 0, 0.025);
    background: #fff;
    width: calc(60vw - 84px);
    border-radius: 0 6px 6px 0;
  }
  .timeline__event__date {
    color: #d5ffd9;
    font-size: 1.5rem;
    font-weight: 600;
    background: #75fc80;
    display: flex;
    align-items: center;
    justify-content: center;
    white-space: nowrap;
    padding: 0 20px;
    border-radius: 6px 0 0 6px;
  }
  .timeline__event__icon {
    display: flex;
    align-items: center;
    justify-content: center;
    color: #d5ffd9;
    padding: 20px;
    align-self: center;
    margin: 0 20px;
    background: #50fa5e;
    border-radius: 100%;
    width: 80px;
    box-shadow: 0 30px 60px -12px rgba(50, 50, 93, 0.25), 0 18px 36px -18px rgba(0, 0, 0, 0.3), 0 -12px 36px -8px rgba(0, 0, 0, 0.025);
    padding: 80px;
    height: 80px;
    position: relative;
  }
  .timeline__event__icon i {
    font-size: 32px;
  }
  .timeline__event__icon:before {
    content: "";
    width: 2px;
    height: 100%;
    background: #57f164;
    position: absolute;
    top: 0%;
    z-index: -1;
    left: 50%;
    transform: translateX(-50%);
    -webkit-animation: fillTop 1s forwards 2s ease-in-out;
            animation: fillTop 1s forwards 2s ease-in-out;
  }
  .timeline__event__icon:after {
    content: "";
    width: 100%;
    height: 2px;
    background: #50fa5e;
    position: absolute;
    left: 0%;
    z-index: -1;
    top: 50%;
    transform: translateY(-50%);
    -webkit-animation: fillLeftOdd 1s forwards 2s ease-in-out;
            animation: fillLeftOdd 1s forwards 2s ease-in-out;
  }
  .timeline__event__description {
    flex-basis: 100%;
  }
  .timeline__event--type2:after {
    background: #b6ae69;
  }
  .timeline__event--type2 .timeline__event__date {
    color: #fff597;
    background: #cfcba4;
  }
  .timeline__event--type2:nth-child(2n+1) .timeline__event__icon:before, .timeline__event--type2:nth-child(2n+1) .timeline__event__icon:after {
    background: #b6ae69;
  }
  .timeline__event--type2 .timeline__event__icon {
    background: #bdb574;
    color: #b9b059;
  }
  .timeline__event--type2 .timeline__event__icon:before, .timeline__event--type2 .timeline__event__icon:after {
    background: #b9b059;
  }
  .timeline__event--type2 .timeline__event__title {
    color: #b9ac31;
  }
  .timeline__event--type3:after {
    background: #ff9900;
  }
  .timeline__event--type3 .timeline__event__date {
    color: #ffe2ab;
    background-color: #f5ae45;
  }
  .timeline__event--type3:nth-child(2n+1) .timeline__event__icon:before, .timeline__event--type3:nth-child(2n+1) .timeline__event__icon:after {
    background: #ff9900;
  }
  .timeline__event--type3 .timeline__event__icon {
    background: #ff9900;
    color: #ffe2ab;
  }
  .timeline__event--type3 .timeline__event__icon:before, .timeline__event--type3 .timeline__event__icon:after {
    background: #ff9900;
  }
  .timeline__event--type3 .timeline__event__title {
    color: #ff9900;
  }
  .timeline__event--type4:after {
    background: #fc8585;
  }
  .timeline__event--type4 .timeline__event__date {
    color: #fdeaea;
    background-color: #fca0a0;
  }
  .timeline__event--type4:nth-child(2n+1) .timeline__event__icon:before, .timeline__event--type4:nth-child(2n+1) .timeline__event__icon:after {
    background: #f86060;
  }
  .timeline__event--type4 .timeline__event__icon {
    background: #f86060;
    color: #ff8c8c;
  }
  .timeline__event--type4 .timeline__event__icon:before, .timeline__event--type4 .timeline__event__icon:after {
    background: #f86060;
  }
  .timeline__event--type4 .timeline__event__title {
    color: #ff0000;
  }
  .timeline__event--type5:after {
    background: #353535;
  }
  .timeline__event--type5 .timeline__event__date {
    color: #fcfbfb;
    background-color: #353535;
  }
  .timeline__event--type5:nth-child(2n+1) .timeline__event__icon:before, .timeline__event--type5:nth-child(2n+1) .timeline__event__icon:after {
    background: #353535;
  }
  .timeline__event--type5 .timeline__event__icon {
    background: #000000;
    color: #fcfbfb;
  }
  .timeline__event--type5 .timeline__event__icon:before, .timeline__event--type5 .timeline__event__icon:after {
    background: #353535;
  }
  .timeline__event--type5 .timeline__event__title {
    color: #000000;
  }
  .timeline__event--type6:after {
    background: #c400a3;
  }
  .timeline__event--type6 .timeline__event__date {
    color: #c78bbd;
    background-color: #c400a3;
  }
  .timeline__event--type6:nth-child(2n+1) .timeline__event__icon:before, .timeline__event--type6:nth-child(2n+1) .timeline__event__icon:after {
    background: #c400a3;
  }
  .timeline__event--type6 .timeline__event__icon {
    background: #c400a3;
    color: #c78bbd;
  }
  .timeline__event--type6 .timeline__event__icon:before, .timeline__event--type6 .timeline__event__icon:after {
    background: #c400a3;
  }
  .timeline__event--type6 .timeline__event__title {
    color: #c400a3;
  }
  .timeline__event--type7:after {
    background: #1600da;
  }
  .timeline__event--type7 .timeline__event__date {
    color: #7c71d8;
    background-color: #1600da;
  }
  .timeline__event--type7:nth-child(2n+1) .timeline__event__icon:before, .timeline__event--type7:nth-child(2n+1) .timeline__event__icon:after {
    background: #1600da;
  }
  .timeline__event--type7 .timeline__event__icon {
    background: #1600da;
    color: #7c71d8;
  }
  .timeline__event--type7 .timeline__event__icon:before, .timeline__event--type7 .timeline__event__icon:after {
    background: #1600da;
  }
  .timeline__event--type7 .timeline__event__title {
    color: #1600da;
  }
  .timeline__event--type8:after {
    background: #00ccff;
  }
  .timeline__event--type8 .timeline__event__date {
    color: #b9f1ff;
    background-color: #00ccff;
  }
  .timeline__event--type8:nth-child(2n+1) .timeline__event__icon:before, .timeline__event--type8:nth-child(2n+1) .timeline__event__icon:after {
    background: #00ccff;
  }
  .timeline__event--type8 .timeline__event__icon {
    background: #00ccff;
    color: #b9f1ff;
  }
  .timeline__event--type8 .timeline__event__icon:before, .timeline__event--type8 .timeline__event__icon:after {
    background: #00ccff;
  }
  .timeline__event--type8 .timeline__event__title {
    color: #00ccff;
  }
  .timeline__event:last-child .timeline__event__icon:before {
    content: none;
  }
  
  @media (max-width: 1034px) {
    .timeline__event {
      flex-direction: column;
      align-self: center;
      width: 85vw;
    }
    .timeline__event__content {
      width: 100%;
    }
    .timeline__event__icon {
      border-radius: 6px 6px 0 0;
      width: 100%;
      margin: 0;
      box-shadow: none;
    }
    .timeline__event__icon:before, .timeline__event__icon:after {
      display: none;
    }
    .timeline__event__date {
      border-radius: 0;
      padding: 20px;
    }
    .timeline__event:nth-child(2n+1) {
      flex-direction: column;
      align-self: center;
    }
    .timeline__event:nth-child(2n+1) .timeline__event__date {
      border-radius: 0;
      padding: 20px;
    }
    .timeline__event:nth-child(2n+1) .timeline__event__icon {
      border-radius: 6px 6px 0 0;
      margin: 0;
    }
  }

  @media (min-width: 358px) and (max-width: 420px) {
    .roadmap-introduction {
      padding-left: 1rem;
      padding-right: 1rem;
    }
  }

  @media (max-width: 328px) {
    .timeline__event__date {
      white-space: normal;
    }
    html, body {
      overflow-x: hidden;
      width: 100%;
    }
  }

  @-webkit-keyframes fillLeft {
    100% {
      right: 100%;
    }
  }
  @keyframes fillLeft {
    100% {
      right: 100%;
    }
  }
  @-webkit-keyframes fillTop {
    100% {
      top: 100%;
    }
  }
  @keyframes fillTop {
    100% {
      top: 100%;
    }
  }
  @-webkit-keyframes fillLeftOdd {
    100% {
      left: 100%;
    }
  }
  @keyframes fillLeftOdd {
    100% {
      left: 100%;
    }
  }